![Laravel Livewire Forms](https://i.imgur.com/YB0gEJ8.gif)

# TALL-stack form generator

[Laravel Livewire](https://laravel-livewire.com), Tailwind forms with auto-generated views.

[![Latest Stable Version](https://poser.pugx.org/tanthammar/tall-forms/v)](//packagist.org/packages/tanthammar/tall-forms)
[![Total Downloads](https://poser.pugx.org/tanthammar/tall-forms/downloads)](//packagist.org/packages/tanthammar/tall-forms)
[![Latest Unstable Version](https://poser.pugx.org/tanthammar/tall-forms/v/unstable)](//packagist.org/packages/tanthammar/tall-forms)
[![License](https://poser.pugx.org/tanthammar/tall-forms/license)](//packagist.org/packages/tanthammar/tall-forms)

- [Support](https://github.com/tanthammar/tall-forms/issues)
- [Contributions](https://github.com/tanthammar/tall-forms/pulls)

# Features
* This is not an admin panel generator, it is a package that auto-generates Laravel Livewire forms without you having to create any blade views.
* Laravel Nova like syntax to auto generate TALL-stack forms
* Auto generate forms, with fields for **ALL** Eloquent Models, in a project - using a single artisan command.
* Auto-generated views
* **Laravel Shift Blueprint** plugin

### Sponsor Heroes
[💗 Please Sponsor 🔗](https://github.com/sponsors/tanthammar) It takes a lot of time to create and maintain this package. I am forever grateful to my sponsors.


### Credits
Want to give tribute to those who made TALL-stack come true. (Alphabetically ordered ;)
- [Taylor Otwell](https://github.com/sponsors/taylorotwell) for creating Laravel
- [Caleb Porzio](https://github.com/sponsors/calebporzio) for creating Livewire and AlpineJS
- [Adam Wathan](https://tailwindui.com/) for TailwindCSS and TailwindUI


# 🙋 Help wanted
- **Pull Requests** I appreciate any input that improves the functionality and usability of this package. **Please contribute!**

# 💬 Let's connect
Discuss with other tall-form users on the official Livewire Discord channel.
You'll find me in the "partners/tall-forms" channel.

* [🔗 **Discord**](https://discord.gg/livewire)
* [🔗 **Twitter**](https://twitter.com/TinaHammar)
* [🔗 **Youtube**](https://www.youtube.com/channel/UCRPTsZ2OduwzGq3EdiynY2Q)
* [🔗 **Devdojo**](https://devdojo.com/tinahammar)

# Documentation
* [v8.x](https://tina-hammar.gitbook.io/tall-forms/)
* [v4->v7 Wiki](https://github.com/tanthammar/tall-forms/wiki)

## Testing

```bash
composer test
```
